| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Expansion board support

## Description

This group of functions provides the ability to attach and detach expansion boards.

In general, one should call bladerf_expansion_attach() immediately after opening the device.

Note
  Hotplug and expansion board removal is not supported. It is expected that the expansion boards are attached at power-on and remain attached until power is removed.

These functions are thread-safe.

## Enumerations
enum | bladerf_xb { BLADERF_XB_NONE = 0 , BLADERF_XB_100 , BLADERF_XB_200 , BLADERF_XB_300 }

## Functions
API_EXPORT int CALL_CONV | bladerf_expansion_attach (struct bladerf *dev, bladerf_xb xb)
API_EXPORT int CALL_CONV | bladerf_expansion_get_attached (struct bladerf *dev, bladerf_xb *xb)

## Enumeration Type Documentation

## ◆ bladerf_xb

enum bladerf_xb

Expansion boards

Enumerator
BLADERF_XB_NONE | No expansion boards attached
BLADERF_XB_100 | XB-100 GPIO expansion board. This device is not yet supported in libbladeRF, and is here as a placeholder for future support.
BLADERF_XB_200 | XB-200 Transverter board
BLADERF_XB_300 | XB-300 Amplifier board

Definition at line 4384 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_expansion_attach()

API_EXPORT int CALL_CONV bladerf_expansion_attach | ( | struct bladerf * | dev,
|  | bladerf_xb | xb )

Attach and enable an expansion board's features

Parameters

  | dev | Device handle
  [in] | xb | Expansion board

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_expansion_get_attached()

API_EXPORT int CALL_CONV bladerf_expansion_get_attached | ( | struct bladerf * | dev,
|  | bladerf_xb * | xb )

Determine which expansion board is attached

Parameters

  | dev | Device handle
  [out] | xb | Expansion board

Returns
  0 on success, value from Error codes list on failure